// creator  : weidu.exe (version 23100)
// argument : GORPOL1.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~GORPOL1~

IF ~~ THEN BEGIN 0 // from: GORODR1:3.0
  SAY #62357 /* ~Praise be to Helm!~ */
  IF ~~ THEN EXTERN ~GORGAR1~ 0
END

IF ~~ THEN BEGIN 1 // from: GORODR1:7.0
  SAY #62374 /* ~A charge we are unable to fulfill, sadly.~ */
  IF ~True()~ THEN EXTERN ~GORODR1~ 8
  IF ~IsValidForPartyDialog("Cernd")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~CERND25J~ 6
  IF ~IsValidForPartyDialog("Keldorn")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~KELDO25J~ 8
  IF ~IsValidForPartyDialog("Anomen")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~ANOME25J~ 28
END

IF ~~ THEN BEGIN 2 // from: GORODR1:26.0
  SAY #62479 /* ~Aye.  I know a fair amount of lore about the old seals within.  The evil that has infected this place, however... that I know little about.~ */
  IF ~~ THEN EXTERN ~GORODR1~ 27
END

IF ~Global("zGarOdr1Job","GLOBAL",0)
Global("TalkedTozGarOdr1","GLOBAL",0)~ THEN BEGIN 3 // from:
  SAY #62685 /* ~There is little I can do to help you, child.  Speak to Brother Odren, it is he who leads the Knights of the Vigil.~ */
  IF ~~ THEN EXIT
END

IF ~Global("zGarOdr1Job","GLOBAL",0)
Global("TalkedTozGarOdr1","GLOBAL",1)~ THEN BEGIN 4 // from:
  SAY #62686 /* ~Please, child!  Aid us in this task!  The Imprisoned One must remain imprisoned at all costs, or the horror that will result will be unspeakable!~ */
  IF ~~ THEN EXIT
END

IF ~Global("zGarOdr1Job","GLOBAL",2)
Global("TalkedTozGarPol1","GLOBAL",0)~ THEN BEGIN 5 // from:
  SAY #62687 /* ~Helm's praises upon you, child, for your aid.  As Brother Odren said, there are two things you will need within and I shall give them to you now.~ */
  IF ~~ THEN DO ~SetGlobal("TalkedTozGarPol1","GLOBAL",1)
~ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #62688 /* ~The first is the holy symbol that shall allow you to pass through the seals of the prison.  Do not lose it, child.  Without it you cannot enter the Keep... or, if you are within, you will be trapped forever.~ */
  IF ~~ THEN DO ~GiveItem("PLOT01B",LastTalkedToBy)
~ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #62689 /* ~The second is the ritual scroll which will repair Helm's seal upon the Keep.  It need only be read aloud in the presence of the Imprisoned One... you require no special training to do so.~ */
  IF ~~ THEN DO ~GiveItem("PLOT01A",LastTalkedToBy)
~ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #62692 /* ~Reaching the Imprisoned One is the difficulty.  The Watcher's Keep was built many ages ago to contain great horrors that walked Faerun, but it was abandoned centuries before Helm restored its purpose.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #62693 /* ~When Helm came to us, he asked half of our order to sacrifice themselves... to become spirits guarding the Keep and adding to the ancient seals that were already in existence.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #62694 /* ~The spirits will guard against all who enter... they cannot be reasoned with.  Add to this the evil which has been drawn to this place by the infection of the Imprisoned One.  All these obstacles must be bypassed.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #62695 /* ~When you finally reach the lowest level, you must open the final seal to gain access to the Imprisoned One, himself.  I... do not know what state he will be in.  Read the ritual quickly before he attacks.~ */
  IF ~~ THEN GOTO 12
END

IF ~Global("zGarOdr1Job","GLOBAL",2)
Global("TalkedTozGarPol1","GLOBAL",1)
Global("TalkedTozGarDemo","GLOBAL",0)~ THEN BEGIN 12 // from: 20.0 17.0 16.0 14.0 11.0
  SAY #62696 /* ~Have you any other questions for me, then, child?~ */
  IF ~~ THEN REPLY #62697 /* ~How many levels are there in the Keep?~ */ GOTO 13
  IF ~~ THEN REPLY #62698 /* ~How do I get into and out of the Keep?~ */ GOTO 15
  IF ~~ THEN REPLY #62699 /* ~Why do I just not destroy the Imprisoned One and get it over with?~ */ GOTO 17
  IF ~~ THEN REPLY #62700 /* ~Is there anything you can tell me about what lies within the Keep?~ */ GOTO 18
  IF ~~ THEN REPLY #62701 /* ~No, I don't think so.~ */ GOTO 21
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #62702 /* ~I believe there are five separate levels within the Keep, the fifth of which is the lower vault that allows access to the Imprisoned One, himself.  Each will have a seal that prevents access to the next level.~ */
  IF ~~ THEN GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY #62703 /* ~I know little of what manner of seals are in place, however, nor how they might be overcome.  They are meant to prevent simple access, however, so unlocking the seals will not be simple.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 15 // from: 12.1
  SAY #62708 /* ~The entrance to the first level is here, at the top of the keep.  You may only enter or leave through it with the holy symbol in your possession, of course.~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #62709 /* ~The other levels all have doors that exit out to the side of the Keep... but their seals may only be unlocked with the holy symbol from within, not from without.  Once they are opened, however, you may re-enter through them.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 17 // from: 12.2
  SAY #62714 /* ~Oh, no no!  The Imprisoned One must not be killed!  If, indeed, he even can be.  Helm has strictly forbidden us from even attempting... although I do not know why.  Perhaps death, too, would be a form of freedom.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 18 // from: 12.3
  SAY #62719 /* ~Very little, child.  We have been into the first level, combatting the creatures that assaulted us... but we were driven back before we could examine the first seal.  It is an ancient archive and temple, long unused.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.0
  SAY #62720 /* ~It may be a temple to Helm, I do not know.  I did not get enough time to examine everything.  I would suspect, however, that the clerics that once existed within were able to access the second level in some manner.~ */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #62721 /* ~Many of the old tomes within seem to be in good condition.  Perhaps somewhere there may be found more information on the other levels and their seals.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 21 // from: 12.4
  SAY #62726 /* ~As you desire.  Helm's blessing upon you, child.~ */
  IF ~~ THEN EXIT
END
